Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Hi

Just a thought - the right hand panel in the views mentioned above are given far too much real estate for the data they contains.

For example when I'm in the Issues view 1/3 of the screen is given to the right hand panel yet it only contains 3 small links and the

rest of the panel is unused and coloured grey.

Better sizing can make better use of this portion of the window.

I've attached a screen grab to give as an example.

I use a MAC and it's the same in Safari and FF.

I've tried it with a vanilla Turnkey Hub VM and that's how it is out of the box.

Related issues:

Related to Redmine - Patch #30294: Move the links (View all issues, Summary, ... Closed

Related to Redmine - Patch #32037: Constrain sidebar width on different resol... Closed

Related to Redmine - Feature #21808: Make the Sidebar collapsible, stateful Closed

History

#1 - 2019-11-27 10:22 - Donald Martin

Subject line should read "Issues activity gnats calendar tabs - too much real estate in right hand panel"

#2 - 2019-11-27 12:03 - Donald Martin

- File Screenshot_2019-11-27_at_10_59_32.png added

Attached better picture to show what I mean

#3 - 2019-11-27 17:49 - Marius BĂLTEANU

- Status changed from New to Needs feedback

Those links are moved under a dropdown in Redmine 4.1.0, please see #30294.

But the sidebar will still be available for users with access to custom queries.

Can I close this issue?

#4 - 2019-11-27 18:01 - Donald Martin

Hi Marius

Thanks for the reply.

While I think its a good idea to move the links, (as where they are doesn't provide any value- and we never use them) the fact will remain that the side

bar takes up a lot of real estate on the web page. In fact if the links are removed then that whole area will be rendered unused for our organisation.

How about an option to hide the side bar if not in use? Or be able to resize it? I see you guys use it for adverts which is fair enough but I wonder how

much it's used in general by the Redmine community?
https://www.redmine.org/versions/127
https://www.redmine.org/issues/30294


Thanks

Donald

#5 - 2019-11-27 18:09 - Marius BĂLTEANU

Donald Martin wrote:

Hi Marius

Thanks for the reply.

While I think its a good idea to move the links, (as where they are doesn't provide any value- and we never use them) the fact will remain that the

side bar takes up a lot of real estate on the web page. In fact if the links are removed then that whole area will be rendered unused for our

organisation.

How about an option to hide the side bar if not in use? Or be able to resize it? I see you guys use it for adverts which is fair enough but I wonder

how much it's used in general by the Redmine community?

Thanks

Donald

 The sidebar is not rendered when there is no content, so if you don't have custom queries, it won't be the case.

Also:

Sidebar width depends on screen size starting from same 4.1.0 version, see #32037.

Sidebar collapse/expand is an old discussion, see #21808 and all the related discussions. An option is to apply the patch on your instance or to

look for a plugin.

#6 - 2019-11-27 18:09 - Marius BĂLTEANU

- Related to Patch #30294: Move the links (View all issues, Summary, Import) from the Issues section of the issues list sidebar under a dropdown 

added

#7 - 2019-11-27 18:10 - Marius BĂLTEANU

- Related to Patch #32037: Constrain sidebar width on different resolutions added

#8 - 2019-11-27 18:10 - Marius BĂLTEANU

- Related to Feature #21808: Make the Sidebar collapsible, stateful added

#9 - 2019-11-28 11:05 - Donald Martin

Thanks for the update Marius

Sidebar collapse/expand is an old discussion, see #21808 and all the related discussions. An option is to apply the patch on your instance or to

look for a plugin.

This option you referenced works well for me - specifically the patch to make the side bar collapsable.

I appreciate your help - thank you

#10 - 2019-11-28 11:07 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Donald Martin wrote:

I appreciate your help - thank you

 Thanks for you feedback, closing this one.

Files

Screenshot 2019-11-27 at 09.09.50.png 139 KB 2019-11-27 Donald Martin

Screenshot_2019-11-27_at_10_59_32.png 243 KB 2019-11-27 Donald Martin
